## golang-github-gosnmp-gosnmp 1.29.0

=== Makefile ===
.PHONY: test lint lint-all lint-examples tools

test:
	go test *.go

lint:
	golangci-lint run -v

tools:
	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(GOPATH)/bin v1.32.2

=== debian/changelog ===
golang-github-gosnmp-gosnmp (1.29.0-1) unstable; urgency=medium

  * New upstream release
  * Rename source and binary package to golang-github-gosnmp-gosnmp, and add a
    transitional binary package for old package name
  * Update Vcs-Browser, Vcs-Git URLs
  * Update homepage, import path and watch file to reflect change of project
    owner upstream
  * Bump Standards-Verstion to 4.5.1 (no changes)
  * Bump debhelper-compat version to 13
  * Add upstream metadata information
  * Add override for pedantic lintian repeated-path-segment nag
  * Update maintainer email address
  * Change section to golang

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Sat, 23 Jan 2021 21:46:49 +0100

golang-github-soniah-gosnmp (1.24.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0 (no changes).
  * Include upstream changelog in package.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Sat, 22 Feb 2020 22:39:43 +0100

golang-github-soniah-gosnmp (1.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.
  * Bump debhelper-compat version to 12.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Mon, 13 Jan 2020 15:07:18 +0100

golang-github-soniah-gosnmp (1.16-1) unstable; urgency=medium

  * New upstream release.
  * Support SNMPv3 Encode/Decode.
  * Update Standards-Version to 4.3.0
  * debian/rules: Add verbose switch to commands where applicable.
  * debian/watch: Simplify regex.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Fri, 18 Jan 2019 09:26:37 +0100

golang-github-soniah-gosnmp (1.10-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Swarbrick <daniel.swarbrick@profitbricks.com>  Wed, 27 Jun 2018 11:52:34 +0200

golang-github-soniah-gosnmp (1.9+git20180420.bcf840d-1) unstable; urgency=medium

  * Initial release. (Closes: #840759)

 -- Daniel Swarbrick <daniel.swarbrick@profitbricks.com>  Fri, 22 Jun 2018 13:15:37 +0200

=== debian/control ===
Source: golang-github-gosnmp-gosnmp
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-golang-mock-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/gosnmp/gosnmp
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-gosnmp-gosnmp
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-gosnmp-gosnmp.git
XS-Go-Import-Path: github.com/gosnmp/gosnmp

Package: golang-github-gosnmp-gosnmp-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: golang-github-soniah-gosnmp-dev (<< 1.29.0)
Description: SNMP library written in Go
 GoSNMP is a Simple Network Management Protocol (SNMP) client library fully
 written in Go. It provides Get, GetNext, GetBulk, Walk, BulkWalk, Set and
 Traps. It supports IPv4 and IPv6, using SNMPv2c or SNMPv3.

Package: golang-github-soniah-gosnmp-dev
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Depends: golang-github-gosnmp-gosnmp-dev (= ${source:Version}), ${misc:Depends}
Description: Transitional dummy package
 This package can be safely removed once nothing depends on it anymore.

## golang-github-gosnmp-gosnmp 1.34.0

=== debian/changelog ===
golang-github-gosnmp-gosnmp (1.34.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0 (no changes)
  * Update uploader email address
  * Update copyright holder name

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 30 Nov 2021 12:26:28 +0000

golang-github-gosnmp-gosnmp (1.29.0-2) unstable; urgency=medium

  * Team upload.
  * No change upload to rebuild on buildd.

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 02 Feb 2021 10:53:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>
+Uploaders: Daniel Swarbrick <dswarbrick@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-golang-mock-dev,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/gosnmp/gosnmp
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-gosnmp-gosnmp

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples/

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	# end2end test requires an actual SNMP-enabled host
	dh_auto_test -- -tags="api marshal misc trap"

## golang-github-gosnmp-gosnmp 1.35.0

=== Makefile ===
.PHONY: test lint lint-all lint-examples tools

GOLANGCI_LINT_VERSION ?= v1.45.2

test:
	go test *.go

lint:
	golangci-lint run -v

tools:
	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/$(GOLANGCI_LINT_VERSION)/install.sh \
		| sh -s -- -b $(GOPATH)/bin $(GOLANGCI_LINT_VERSION)

=== debian/changelog ===
golang-github-gosnmp-gosnmp (1.35.0-2) unstable; urgency=medium

  * Drop obsolete golang-github-soniah-gosnmp-dev transitional package
    (Closes: #1038254)
  * Bump Standards-Version to 4.6.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 19 Jun 2023 10:21:16 +0000

golang-github-gosnmp-gosnmp (1.35.0-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Bump Standards-Version to 4.6.1 (no changes)
  * Replace dh-golang build-dep with dh-sequence-golang

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 27 Aug 2022 21:07:45 +0000

=== debian/control ===
Source: golang-github-gosnmp-gosnmp
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-golang-mock-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/gosnmp/gosnmp
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-gosnmp-gosnmp
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-gosnmp-gosnmp.git
XS-Go-Import-Path: github.com/gosnmp/gosnmp

Package: golang-github-gosnmp-gosnmp-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: SNMP library written in Go
 GoSNMP is a Simple Network Management Protocol (SNMP) client library fully
 written in Go. It provides Get, GetNext, GetBulk, Walk, BulkWalk, Set and
 Traps. It supports IPv4 and IPv6, using SNMPv2c or SNMPv3.

## golang-github-gosnmp-gosnmp 1.36.0

=== debian/changelog ===
golang-github-gosnmp-gosnmp (1.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 29 Aug 2023 16:03:16 +0000

## golang-github-gosnmp-gosnmp 1.36.1

=== debian/changelog ===
golang-github-gosnmp-gosnmp (1.36.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: refactor based on dh-make-golang template
  * Add Testsuite: autopkgtest-pkg-go

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 05 Sep 2023 11:29:50 +0000

=== debian/control ===
Source: golang-github-gosnmp-gosnmp
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-golang-mock-dev,
               golang-github-stretchr-testify-dev,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-gosnmp-gosnmp
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-gosnmp-gosnmp.git
Homepage: https://github.com/gosnmp/gosnmp
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/gosnmp/gosnmp

Package: golang-github-gosnmp-gosnmp-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-golang-mock-dev,
         golang-github-stretchr-testify-dev,
         ${misc:Depends},
Description: SNMP library written in Go
 GoSNMP is a Simple Network Management Protocol (SNMP) client library fully
 written in Go. It provides Get, GetNext, GetBulk, Walk, BulkWalk, Set and
 Traps. It supports IPv4 and IPv6, using SNMPv2c or SNMPv3.

## golang-github-gosnmp-gosnmp 1.37.0

=== debian/changelog ===
golang-github-gosnmp-gosnmp (1.37.0-1) unstable; urgency=medium

  * New upstream release
  * Add new dependencies:
    - golang-github-google-go-cmp-dev
    - golang-github-google-gopacket-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 11 Dec 2023 23:09:17 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
                dh-sequence-golang,
                golang-any,
                golang-github-golang-mock-dev,
+               golang-github-google-go-cmp-dev,
+               golang-github-google-gopacket-dev,
                golang-github-stretchr-testify-dev,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-gosnmp-gosnmp
@@ -20,6 +22,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-golang-mock-dev,
+         golang-github-google-go-cmp-dev,
+         golang-github-google-gopacket-dev,
          golang-github-stretchr-testify-dev,
          ${misc:Depends},
 Description: SNMP library written in Go

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gosnmp-$1\.tar\.gz/ \
  https://github.com/gosnmp/gosnmp/tags .*/v?(\d\S+)\.tar\.gz

## golang-github-gosnmp-gosnmp 1.38.0

=== debian/changelog ===
golang-github-gosnmp-gosnmp (1.38.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 09 Aug 2024 08:29:55 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                golang-github-google-go-cmp-dev,
                golang-github-google-gopacket-dev,
                golang-github-stretchr-testify-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-gosnmp-gosnmp
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-gosnmp-gosnmp.git
 Homepage: https://github.com/gosnmp/gosnmp

## golang-github-gosnmp-gosnmp 1.39.0

=== debian/changelog ===
golang-github-gosnmp-gosnmp (1.39.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh packaging according to latest dh-make-golang template
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 03 Mar 2025 14:47:41 +0000

## golang-github-gosnmp-gosnmp 1.42.1

=== debian/changelog ===
golang-github-gosnmp-gosnmp (1.42.1-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 12 Aug 2025 13:31:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: golang-github-gosnmp-gosnmp
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
-Section: golang
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
@@ -11,11 +11,11 @@
                golang-github-google-go-cmp-dev,
                golang-github-google-gopacket-dev,
                golang-github-stretchr-testify-dev,
-Standards-Version: 4.7.0
+Testsuite: autopkgtest-pkg-go
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-gosnmp-gosnmp
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-gosnmp-gosnmp.git
 Homepage: https://github.com/gosnmp/gosnmp
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/gosnmp/gosnmp
 
 Package: golang-github-gosnmp-gosnmp-dev

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples/

%:
	dh $@ --buildsystem=golang

override_dh_auto_test:
	# end2end test requires an actual SNMP-enabled host
	dh_auto_test -- -tags="api marshal misc trap"

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/gosnmp/gosnmp/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-gosnmp-gosnmp 1.43.1

=== Makefile ===
.PHONY: test
test:
	go test ./...

.PHONY: lint
lint: check_license

.PHONY: check_license
check_license:
	@echo ">> checking license header"
	@licRes=$$(for file in $$(find . -type f -iname '*.go' ! -path './vendor/*') ; do \
               awk 'NR<=3' $$file | grep -Eq "(Copyright [0-9]+ The GoSNMP Authors|generated|GENERATED)" || echo $$file; \
       done); \
       if [ -n "$${licRes}" ]; then \
               echo "license header checking failed:"; echo "$${licRes}"; \
               exit 1; \
       fi

=== debian/changelog ===
golang-github-gosnmp-gosnmp (1.43.1-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 08 Jan 2026 20:57:59 +0000
